#ifndef __array_conv
#define __array_conv
#include <mex.h>
/* Some array conversion routines for interacting with MATLAB via mex */
void array_conv(DMatrix in, mxArray **ptr);
void array_conv(DVector in, mxArray **ptr);
void array_conv(IMatrix in, mxArray **ptr);
void array_conv(IVector in, mxArray **ptr);
void array_conv(CMatrix in, mxArray **ptr);
void array_conv(CVector in, mxArray **ptr);
void array_conv(DArray in, mxArray **ptr);
void array_conv(IArray in, mxArray **ptr);
void array_conv(JArray in, mxArray **ptr);
void array_conv(const mxArray **ptr, DMatrix &out);
void array_conv(const mxArray **ptr, DVector &out);
void array_conv(const mxArray **ptr, IMatrix &out);
void array_conv(const mxArray **ptr, IVector &out);
void array_conv(const mxArray **ptr, CMatrix &out);
void array_conv(const mxArray **ptr, CVector &out);
void array_conv(const mxArray **ptr, DArray &out);
void array_conv(const mxArray **ptr, IArray &out);
#endif
