function [G] = Gprimal()
% Primal symmetry group. 
%
% orbit:
% I,A,B,AB,BA,ABA

A = [1 0; 1 -1];
B = [-1 1; 0 1]; 

G = zeros(2,2,6);
G(:,:,1) = eye(2);
G(:,:,2)  = A*G(:,:,1);
G(:,:,3)  = B*G(:,:,1);
G(:,:,4)  = A*G(:,:,3);
G(:,:,5)  = B*G(:,:,2);
G(:,:,6)  = A*G(:,:,5);
