function [g] = primalfudo(N)
%
% triangular grid. 3 should divide N.
g = [];
for g1 = 0:2*N/3,
	for g2 = ceil(g1/2):2*g1,
		if g1+g2<=N,
		   g = [g, [g1;g2]]; % grid nodes
	   end;
	end;
end;

return;
