function [fudo] = restricted_dualfudo_sorted(N)
% fundamental domain in Fourier space, sorted for use with Gradient
% N : downscaling of root lattice.
% restricted version, which excludes some points corresponding to higher order polynomials

% define fundamental domain
fudo = [];
for k1 = 0:N/2
  for j = 0:k1/2
	if k1-j <= N/2
	  fudo = [fudo, [k1-j; j]];
	end
  end
end
