d=3;
N=30;
C=[];
for j1=0:d-1
  for j2=0:d-1
	C(:,:,2*(j1*d+j2)+1)=[j2 j2 j2+1;j1 j1+1 j1]/d;
	C(:,:,2*(j1*d+j2)+2)=[j2 j2+1 j2+1;j1+1 j1+1 j1]/d;
  end
end
overlap=Construct_Overlap_simple(C,N);
func1='exp(sin(2*pi*x).*sin(2*pi*y))-1';
% func2='heaviside(.7-x).*heaviside(-.3+x).*heaviside(.7-y).*heaviside(-.3+y)';
func2='exp(-20*((x-.5).^2+(y-.5).^2))+1';
scale=rand;
% initial conditions, NxN for each triangle
u1=zeros(N,N,size(C,3));
u2=zeros(N,N,size(C,3));
theta = [0:N-1]*2*pi/N;
x = reshape(1/3*(exp(i*theta.'*ones(1,N)) + exp(-i*ones(N,1)*theta) + exp(-i*(theta.'*ones(1,N)-ones(N,1)*theta))),1,N*N);
Y=imag(x); X=real(x);
% set up grids on the triangles and evaluate the function on each domain to get some initial data
for j=1:size(C,3)
  [T,centroid]=ArbitraryTriangleToStandardTriangle(C(:,:,j));
  x=T(1,:)*[X;Y]+centroid(1);
  y=T(2,:)*[X;Y]+centroid(2);
  u1(:,:,j)=reshape(eval(func1),N,N);
  u2(:,:,j)=reshape(eval(func2),N,N);
end
scaled_u1=Smooth_Overlap_simple(overlap,C,scale*u1);
sum_u1=Smooth_Overlap_simple(overlap,C,u1+u2);
u1=Smooth_Overlap_simple(overlap,C,u1);
sum_u2=u1+Smooth_Overlap_simple(overlap,C,u2);
figure(1);clf;hold on;axis([-.5 1.5 -.5 1.5]);view([-10 50]);rotate3d on;title('Smooth(u1+u2)-(Smooth(u1)+Smooth(u2))')
for j=1:size(C,3)
  [T,centroid]=ArbitraryTriangleToStandardTriangle(C(:,:,j));
  x=reshape(T(1,:)*[X;Y],N,N)+centroid(1);
  y=reshape(T(2,:)*[X;Y],N,N)+centroid(2);
  surf(x,y,sum_u1(:,:,j)-sum_u2(:,:,j));
end
figure(2);clf;hold on;axis([-.5 1.5 -.5 1.5]);view([-10 50]);rotate3d on;title('Smooth(scale*u1)-scale*Smooth(u1)')
for j=1:size(C,3)
  [T,centroid]=ArbitraryTriangleToStandardTriangle(C(:,:,j));
  x=reshape(T(1,:)*[X;Y],N,N)+centroid(1);
  y=reshape(T(2,:)*[X;Y],N,N)+centroid(2);
  surf(x,y,scaled_u1(:,:,j)-scale*u1(:,:,j));
end
drawnow
