function [G,conjug] = Gdual()
% Dual symmetry group. Real case.
% Conjug(12) : determines if the symmetry is complex conj. or not (+-1)
%
% orbit:
% I,A',B',(AB)',(BA)',(ABA)',-I,-A',-B',-(AB)',-(BA)',-(ABA)'

A = [0 1; 1 0];
B = [-1 -1; 0 1]; 
C = [0 -1; -1 0]; 
% -1 for complex conjugation symmetry
conjug = [ones(1,6), -ones(1,6)];

Gp = Gprimal;
G = Gp;
for j = 1:6,
   G(:,:,j) = Gp(:,:,j)';
   G(:,:,j+6) = -Gp(:,:,j)';
end
