function [count]=IsCorner(tri, ndx, corners, N)
count=0;
W=Weyl(Cartan('A',2));
k=[mod(ndx-1,N);floor((ndx-1)/N)];
for w=1:size(W,3) % only one of the possible values of ndx are stored
  ndx=(W(1,1,w)*k(1)+W(2,1,w)*k(2))*N+W(1,2,w)*k(1)+W(2,2,w)*k(2)+1;
  for c=1:length(corners) % number of corners
	for t=1:size(corners{c},1) % number of triangles contributing to corner
	  if tri==corners{c}(t,1) % found a matching triangle, now check the points
		for p=2:length(nonzeros(corners{c}(t,:))) % number of points in triangle t contributing to corner c
		  if ndx==corners{c}(t,p) % found a match!
			% count the number of points contributing to this corner
			for T=1:size(corners{c},1)
			  count=count+length(nonzeros(corners{c}(T,:)))-1; % size of the contribution from triangle T
			end
			return;
		  end
		end
	  end
	end
  end
end
