function [gen] = MakeGen(C)
% function [gen] = MakeGen(C)
% make generators of Weyl group from cartan matrix C
% 
% use MakeGen(C) to get results in DeltaH basis and MakeGen(C.') to get results in Delta basis
d = size(C,1);
n = size(C,2);
gen = [];
for j= 1:n
    g = eye(d);
    g(j,:)=g(j,:)-C(j,:);
	gen = cat(3,gen,g);
end
return;

