function [fudo] = dualfudo(N)
% fundamental domain in Fourier space
% N : downscaling of root lattice.

% fudo=restricted_dualfudo(N);
% return;

% define fundamental domain
fudo = [];
for k2 = 0:N/3
	for k1 = 0:N/2
		if (2*k1+k2 <= N) & k2<=k1
			fudo = [fudo, [k1; k2]];
		end
	end
end
