function [fudo] = dualfudo_sorted(N)
% fundamental domain in Fourier space, sorted for use with Gradient
% N : downscaling of root lattice.

% fudo=restricted_dualfudo_sorted(N);
% return;

% define fundamental domain
fudo = [];
for k1 = 0:2*N/3
  for j = 0:k1/2
	if 2*k1-j <= N
	  fudo = [fudo, [k1-j; j]];
	end
  end
end
